<bugID>336925<Summary>Middle Click Search Button should open new tab</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20060506 BonEcho/2.0a1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20060506 BonEcho/2.0a1

The new search button should open a new tab when middle clicked, like other toolbar buttons. 

currently it only selects the text when middle click, like left clicking the favicon.

Reproducible: Always</Description></bugID>